Name: apt
Version: 0.3.19cnc31
Release: 1mdk
Summary: Debian's Advanced Packaging Tool with RPM support 
Group: System/Configuration/Packaging
License: GPL
Source0: ftp://ftp.conectiva.com/pub/conectiva/EXPERIMENTAL/apt/%{name}-%{version}.tar.bz2
Source1: %{name}.conf
Source2: sources.list
Source3: vendors.list
Requires: rpm >= 3.0.5
BuildRequires: rpm-devel >= 3.0.5, zlib-devel
BuildConflicts: yodl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A port of Debian's apt tools for RPM based distributions,
or at least for Conectiva. It provides the apt-get utility that
provides a simpler, safer way to install and upgrade packages.
APT features complete installation ordering, multiple source
capability and several other unique features.

Under development, use at your own risk!

%package -n apt-devel
Summary: Development files and documentation for APT's libapt-pkg
Group: Development/C
Requires: apt = %{version}-%{release}
Obsoletes: libapt-pkg-devel libapt-pkg-doc

%description devel
This package contains the header files and static libraries for
developing with APT's libapt-pkg package manipulation library,
modified for RPM.

Under development, use at your own risk!

%prep
%setup -q

%build
%configure
find . -type d \( -name SCCS -o -name RCS \) -prune -o -type f  -print0 | xargs -0 -e perl -p -i -e 's@/var(/lib)?/state/apt@/var/lib/apt@g'
# parallel make is taken account in the configure script
make NOISY=1 CXXFLAGS="-DRPM4 $RPM_OPT_FLAGS"
tar xzf docs.tar.gz
gzip docs/*.text

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}/archives/partial
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}/genpkglist
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}/gensrclist
mkdir -p %{buildroot}%{_localstatedir}/state/%{name}/lists/partial

mkdir -p %{buildroot}%{_libdir}/
cp -a bin/libapt-pkg.so.* %{buildroot}%{_libdir}/
cp -a bin/libapt-pkg.so %{buildroot}%{_libdir}/

install -D bin/apt-get %{buildroot}%{_bindir}/apt-get
install -D bin/apt-cache %{buildroot}%{_bindir}/apt-cache
install -D bin/apt-config %{buildroot}%{_bindir}/apt-config
install -D bin/apt-cdrom %{buildroot}%{_bindir}/apt-cdrom
install -D bin/genpkglist %{buildroot}%{_bindir}/genpkglist
install -D bin/gensrclist %{buildroot}%{_bindir}/gensrclist
install -D tools/genbasedir %{buildroot}%{_bindir}/genbasedir

mkdir -p %{buildroot}%{_includedir}/apt-pkg/
install -D apt-pkg/*.h %{buildroot}%{_includedir}/apt-pkg/
install -D apt-pkg/*/*.h %{buildroot}%{_includedir}/apt-pkg/

mkdir -p %{buildroot}/%{_mandir}/man5/
mkdir -p %{buildroot}/%{_mandir}/man8/
install -D doc/apt.conf.5 %{buildroot}/%{_mandir}/man5/apt.conf.5
install -D doc/sources.list.5 %{buildroot}/%{_mandir}/man5/sources.list.5
install -D doc/vendors.list.5 %{buildroot}/%{_mandir}/man5/vendors.list.5
install -D doc/apt-cache.8 %{buildroot}/%{_mandir}/man8/apt-cache.8
install -D doc/apt-config.8 %{buildroot}/%{_mandir}/man8/apt-config.8
install -D doc/apt.8 %{buildroot}/%{_mandir}/man8/apt.8
install -D doc/apt-cdrom.8 %{buildroot}/%{_mandir}/man8/apt-cdrom.8
install -D doc/apt-get.8 %{buildroot}/%{_mandir}/man8/apt-get.8

#mkdir -p %{buildroot}/%{_mandir}/pt_BR/man5/
#mkdir -p %{buildroot}/%{_mandir}/pt_BR/man8/
#cp -a doc/pt_BR/*{5,8} %{buildroot}/%{_mandir}/pt_BR/man5/


mkdir -p %{buildroot}%{_libdir}/apt
install  bin/methods/* %{buildroot}%{_libdir}/apt

install -D %{_sourcedir}/%{name}.conf %{buildroot}%{_sysconfdir}/apt/apt.conf
install -D %{_sourcedir}/sources.list %{buildroot}%{_sysconfdir}/apt/sources.list
install -D %{_sourcedir}/vendors.list %{buildroot}%{_sysconfdir}/apt/vendors.list
install -D rpmpriorities %{buildroot}%{_sysconfdir}/apt/rpmpriorities

(cd po;make install DESTDIR=%{buildroot})

mkdir -p %{buildroot}/var/cache
mv %{buildroot}%{_localstatedir}/cache/apt %{buildroot}/var/cache
mv %{buildroot}%{_localstatedir}/state/apt %{buildroot}%{_localstatedir}/apt

%find_lang %{name}

%post
ldconfig -n %{_libdir}

%postun
ldconfig -n %{_libdir}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,755)
%doc COPYING* README* TODO
%doc docs/examples/configure-index
%doc docs/examples/vendors.list
%doc docs/examples/sources.list
%{_mandir}/man5/*
%{_mandir}/man8/*
#%{_mandir}/*/man5/*
#%{_mandir}/*/man8/*
%{_libdir}/libapt-pkg.so.*
%dir %{_sysconfdir}/apt
%config(noreplace) %{_sysconfdir}/apt/apt.conf 
# noreplace has to get back here after this update!
%config(noreplace) %{_sysconfdir}/apt/sources.list
%config(noreplace) %{_sysconfdir}/apt/vendors.list
%config(noreplace) %{_sysconfdir}/apt/rpmpriorities
%dir /var/cache/apt
%dir /var/cache/apt/genpkglist
%dir /var/cache/apt/gensrclist
%dir /var/cache/apt/archives       
%dir /var/cache/apt/archives/partial
%dir %{_localstatedir}/apt
%dir %{_localstatedir}/apt/lists
%dir %{_localstatedir}/apt/lists/partial
%defattr(755,root,root)
%dir %{_libdir}/apt
%{_libdir}/apt/*
%{_bindir}/apt-get
%{_bindir}/apt-cache
%{_bindir}/apt-cdrom
%{_bindir}/apt-config
%{_bindir}/genpkglist
%{_bindir}/gensrclist
%{_bindir}/genbasedir

%files devel
%defattr(0644,root,root,755)
%{_libdir}/libapt-pkg.so
%{_includedir}/apt-pkg
%doc docs/*.text.gz docs/*.html

%changelog
* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.3.19cnc31-1mdk
- new version.

* Tue Dec 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3.19cnc27-1mdk
- first mandrake version.

* Thu Dec 07 2000 Andreas Hasenack <andreas@conectiva.com>
- damn! Wrong URL in sources.list, atualizacoes.conectiva.com
  doesn't exist, of course...

* Thu Dec 07 2000 Andreas Hasenack <andreas@conectiva.com>
- updated sources.list with new mirrors and new download tree
- removed (noreplace) for the sources.list file for this
  upgrade. It will be easier for the user. The (noreplace)
  should be back in place after this update as we expect no
  further big modifications for that file, only new mirrors.

* Wed Dec 06 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- fixed prob in vendors.list

* Tue Dec 05 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc27

* Wed Nov 08 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc26

* Mon Nov 06 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc25

* Thu Nov 02 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc24

* Thu Nov 02 2000 Rud<E1> Moura <ruda@conectiva.com>
- updated source.list (again)

* Thu Nov 02 2000 Rud<E1> Moura <ruda@conectiva.com>
- updated source.list

* Wed Nov 01 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc23
- added cache directories for gen{pkg,src}list
- pt_BR manpages

* Tue Oct 31 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc22
- Requires -> PreReq in apt-devel

* Mon Oct 30 2000 Alfredo Kojima <kojima@conectiva.com>
- collapsed libapt-pkg-devel and -doc to apt-devel

* Mon Oct 30 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc21

* Sun Oct 29 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc20

* Sun Oct 29 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc19
- added gensrclist
- support for apt-get source

* Fri Oct 27 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc18

* Thu Oct 26 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc17
- new manpages

* Wed Oct 25 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc16

* Sun Oct 22 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc15

* Sat Oct 21 2000 Alfredo K. Kojima <kojima@conectiva.com.br>
- released version 0.3.19cnc14

* Thu Oct 19 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.3.9cnc13

* Tue Oct 17 2000 Eliphas Levy Theodoro <eliphas@conectiva.com>
- added rpmpriorities to filelist and install

* Tue Oct 17 2000 Claudio Matsuoka <claudio@conectiva.com>
- updated to 0.3.19cnc12
- fresh CVS snapshot including: support to Acquire::ComprExtension,
  debug messages removed, fixed apt-cdrom, RPM DB path, rpmlib call
  in pkgRpmLock::Close(), package priority kludge removed, i18n
  improvements, and genbasedir/genpkglist updates.
- handling language setting in genpkglist to make aptitude happy

* Wed Oct 11 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc11
- fixed problem with shard lib symlinks

* Tue Oct 10 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc10

* Mon Oct  2 2000 Claudio Matsuoka <claudio@conectiva.com>
- fixed brown paper bag bug with method permissions
- added parameter --sign to genbasedir
- added html/text doc files

* Sat Sep 30 2000 Claudio Matsuoka <claudio@conectiva.com>
- bumped to 0.3.19cnc9
- added vendors.list
- added gpg method
- fixed minor stuff to make Aptitude work
- added missing manpages
- fixed shared libs
- split in apt, libapt-pkg, libapt-pkg-devel, libapt-pkg-doc
- rewrote genbasedir in shell script (original was in TCL)
- misc cosmetic changes

* Tue Sep 26 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc8

* Wed Sep 20 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc7

* Mon Sep 18 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc6

* Sat Sep 16 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc5

* Fri Sep 15 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc4

* Mon Sep 12 2000 Alfredo K. Kojima <kojima@conectiva.com>
- released version 0.3.19cnc3

* Mon Sep 5 2000 Alfredo K. Kojima <kojima@conectiva.com>
- renamed package to apt, with version 0.3.19cncV

* Mon Sep 5 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.10
- added genpkglist and rapt-config
- program names changed back to apt-*

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.9

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.8

* Mon Sep 4 2000 Alfredo K. Kojima <kojima@conectiva.com>
- 0.7

* Fri Sep 1 2000 Alfredo K. Kojima <kojima@conectiva.com>
- fixed typo in sources.list

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.6

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.5

* Tue Aug 31 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.4

* Wed Aug 30 2000 Alfredo K. Kojima <kojima@conectiva.com>
- version 0.3

* Thu Aug 28 2000 Alfredo K. Kojima <kojima@conectiva.com>
- second try. new release with direct hdlist handling

* Thu Aug 10 2000 Alfredo K. Kojima <kojima@conectiva.com>
- initial package creation. Yeah, it's totally broken for sure.

